---
page_title: "authentik_outpost Resource - terraform-provider-authentik"
subcategory: "Outposts"
description: |-
---

# authentik_outpost (Resource)

## Example Usage

```terraform
# Create an outpost with a proxy provider

data "authentik_flow" "default-authorization-flow" {
  slug = "default-provider-authorization-implicit-consent"
}

resource "authentik_provider_proxy" "proxy" {
  name               = "proxy"
  authorization_flow = data.authentik_flow.default-authorization-flow.id
  external_host      = "http://foo.bar.baz"
  internal_host      = "http://internal.local"
}

resource "authentik_outpost" "outpost" {
  name = "test-outpost"
  protocol_providers = [
    authentik_provider_proxy.proxy.id
  ]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **name** (String)
- **protocol_providers** (List of Number)

### Optional

- **config** (String)
- **id** (String) The ID of this resource.
- **service_connection** (String)
- **type** (String) Defaults to `proxy`.
